VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::metadata::cli::CommandTypes::Info Class Reference

The `Command.Info` class contains information about a command. More...

List of all members.

## Public Member Functions
| Info ()
| Creates a default new instance.
vmware.vapi.metadata.cli.CommandTypes.Identity | GetIdentity ()
| Basic command identity.
void | SetIdentity (vmware.vapi.metadata.cli.CommandTypes.Identity identity)
| Basic command identity.
string | GetDescription ()
| The text description displayed to the user in help output.
void | SetDescription (string description)
| The text description displayed to the user in help output.
string | GetServiceId ()
| The service identifier that contains the operations for this CLI command.
void | SetServiceId (string serviceId)
| The service identifier that contains the operations for this CLI command.
string | GetOperationId ()
| The operation identifier corresponding to this CLI command.
void | SetOperationId (string operationId)
| The operation identifier corresponding to this CLI command.
global::System.Collections.Generic.List < vmware.vapi.metadata.cli.CommandTypes.OptionInfo > | GetOptions ()
| The input for this command.
void | SetOptions (global::System.Collections.Generic.List< vmware.vapi.metadata.cli.CommandTypes.OptionInfo > options)
| The input for this command.
vmware.vapi.metadata.cli.CommandTypes.FormatterType | GetFormatter ()
| The formatter to use when displaying the output of this command.
void | SetFormatter (vmware.vapi.metadata.cli.CommandTypes.FormatterType formatter)
| The formatter to use when displaying the output of this command.
global::System.Collections.Generic.List < vmware.vapi.metadata.cli.CommandTypes.OutputInfo > | GetOutputFieldList ()
| List of output structure name and output field info.
void | SetOutputFieldList (global::System.Collections.Generic.List< vmware.vapi.metadata.cli.CommandTypes.OutputInfo > outputFieldList)
| List of output structure name and output field info.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Command.Info` class contains information about a command.

It includes the identity of the command, a description, information about the interface and method that implement the command, and CLI-specific information for the command.

## Constructor & Destructor Documentation

vmware::vapi::metadata::cli::CommandTypes::Info::Info | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vapi::metadata::cli::CommandTypes::Info::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vapi::metadata::cli::CommandTypes::Info::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vapi::metadata::cli::CommandTypes::Info::_GetType | ( |  | ) | `[inline]`

bool vmware::vapi::metadata::cli::CommandTypes::Info::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vapi::metadata::cli::CommandTypes::Info::_Validate | ( |  | ) | `[inline]`

override bool vmware::vapi::metadata::cli::CommandTypes::Info::Equals | ( | object | obj | ) | `[inline]`

string vmware::vapi::metadata::cli::CommandTypes::Info::GetDescription | ( |  | ) | `[inline]`

The text description displayed to the user in help output.

vmware.vapi.metadata.cli.CommandTypes.FormatterType vmware::vapi::metadata::cli::CommandTypes::Info::GetFormatter | ( |  | ) | `[inline]`

The formatter to use when displaying the output of this command.

override int vmware::vapi::metadata::cli::CommandTypes::Info::GetHashCode | ( |  | ) | `[inline]`

vmware.vapi.metadata.cli.CommandTypes.Identity vmware::vapi::metadata::cli::CommandTypes::Info::GetIdentity | ( |  | ) | `[inline]`

Basic command identity.

string vmware::vapi::metadata::cli::CommandTypes::Info::GetOperationId | ( |  | ) | `[inline]`

The operation identifier corresponding to this CLI command.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.vapi.operation` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.vapi.operation` .

global::System.Collections.Generic.List<vmware.vapi.metadata.cli.CommandTypes.OptionInfo> vmware::vapi::metadata::cli::CommandTypes::Info::GetOptions | ( |  | ) | `[inline]`

The input for this command.

global::System.Collections.Generic.List<vmware.vapi.metadata.cli.CommandTypes.OutputInfo> vmware::vapi::metadata::cli::CommandTypes::Info::GetOutputFieldList | ( |  | ) | `[inline]`

List of output structure name and output field info.

string vmware::vapi::metadata::cli::CommandTypes::Info::GetServiceId | ( |  | ) | `[inline]`

The service identifier that contains the operations for this CLI command.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.vapi.service` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.vapi.service`

void vmware::vapi::metadata::cli::CommandTypes::Info::SetDescription | ( | string | description | ) | `[inline]`

The text description displayed to the user in help output.

void vmware::vapi::metadata::cli::CommandTypes::Info::SetFormatter | ( | vmware.vapi.metadata.cli.CommandTypes.FormatterType | formatter | ) | `[inline]`

The formatter to use when displaying the output of this command.

void vmware::vapi::metadata::cli::CommandTypes::Info::SetIdentity | ( | vmware.vapi.metadata.cli.CommandTypes.Identity | identity | ) | `[inline]`

Basic command identity.

void vmware::vapi::metadata::cli::CommandTypes::Info::SetOperationId | ( | string | operationId | ) | `[inline]`

The operation identifier corresponding to this CLI command.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.vapi.operation` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.vapi.operation` .

void vmware::vapi::metadata::cli::CommandTypes::Info::SetOptions | ( | global::System.Collections.Generic.List< vmware.vapi.metadata.cli.CommandTypes.OptionInfo > | options | ) | `[inline]`

The input for this command.

void vmware::vapi::metadata::cli::CommandTypes::Info::SetOutputFieldList | ( | global::System.Collections.Generic.List< vmware.vapi.metadata.cli.CommandTypes.OutputInfo > | outputFieldList | ) | `[inline]`

List of output structure name and output field info.

void vmware::vapi::metadata::cli::CommandTypes::Info::SetServiceId | ( | string | serviceId | ) | `[inline]`

The service identifier that contains the operations for this CLI command.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.vapi.service` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.vapi.service`

override string vmware::vapi::metadata::cli::CommandTypes::Info::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- CommandTypes.cs